@echo off
REM
REM This batch will create a RamDisk via OSFMount and copy the Fanart into for speed access
REM
set OSFMountDirectory=C:\Program Files\OSFMount\
set JunctionDirectory=C:\Program Files\Junction\
set SageTVDirectory=C:\Program Files\SageTV\SageTV\
set FanartDestination=Y:

REM RAM Disk Size in Mb
set RAMDiskSize=1024

REM Accepted values (as written): 512, 1024, 2048, 4096, 8192, 16K, 32K, 64K
set RAMDiskAllocationUnitSize=64K

REM
REM Creates the RAM Disk
REM
cd %OSFMountDirectory%
OSFMount -d -m %FanartDestination%
OSFMount -a -t vm -s %RAMDiskSize%M -m %FanartDestination%
format %FanartDestination% /FS:NTFS /A:%RAMDiskAllocationUnitSize% /V:Fanart /Q /Y

REM
REM Create a Windows virtual folder for the Phoenix Fanart cache
REM
cd %JunctionDirectory%
rd /S /Q "%SageTVDirectory%userdata"
mkdir "%FanartDestination%\userdata\Phoenix\cache"
junction /accepteula -q "%SageTVDirectory%userdata" "%FanartDestination%\userdata"

REM
REM Create a Windows virtual folder for the Diamond cache
REM
cd %JunctionDirectory%
rd /S /Q "%SageTVDirectory%cache"
mkdir "%FanartDestination%\cache"
junction /accepteula -q "%SageTVDirectory%cache" "%FanartDestination%\cache"

REM
REM Create a Windows virtual folder for the Thumbnails cache
REM
cd %JunctionDirectory%
rd /S /Q "%SageTVDirectory%GeneratedThumbnails"
mkdir "%FanartDestination%\GeneratedThumbnails"
junction /accepteula -q "%SageTVDirectory%GeneratedThumbnails" "%FanartDestination%\GeneratedThumbnails"
